summaryrefslogtreecommitdiffstats
path: root/system-boot/components/0010-debug
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:00:00 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:00:00 +0000
commit32322960234c8ec91e0d42835a3ec5ee63305070 (patch)
tree71d79574de0193778ad6cc6c96dfd4f74fa6bbbb /system-boot/components/0010-debug
parentInitial commit. (diff)
downloadopen-infrastructure-system-tools-32322960234c8ec91e0d42835a3ec5ee63305070.tar.xz
open-infrastructure-system-tools-32322960234c8ec91e0d42835a3ec5ee63305070.zip
Adding upstream version 20190202.upstream/20190202
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'system-boot/components/0010-debug')
-rwxr-xr-xsystem-boot/components/0010-debug27
1 files changed, 27 insertions, 0 deletions
diff --git a/system-boot/components/0010-debug b/system-boot/components/0010-debug
new file mode 100755
index 0000000..cfb2fc8
--- /dev/null
+++ b/system-boot/components/0010-debug
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+#set -e
+
+Debug ()
+{
+ for _PARAMETER in ${LIVE_BOOT_CMDLINE}
+ do
+ case "${_PARAMETER}" in
+ live-boot.debug|debug)
+ LIVE_BOOT_DEBUG="true"
+ ;;
+ esac
+ done
+
+ case "${LIVE_BOOT_DEBUG}" in
+ true)
+ ;;
+
+ *)
+ return 0
+ ;;
+ esac
+
+ # Write the trace output
+ set -x
+}